package com.xty.common.bracelet

object YCBOrder {
    const val ALL_DATA = 0x0509  //查询所有

  /*  const val ALL_DATA = 0x0506  //心率
    const val ALL_DATA = 0x0508  //血压
    const val ALL_DATA = 0x051A  //血氧*/


    const val SLEEP_DATA = 0x0504  //查询睡眠
    const val STEP_DATA = 0x0502  //获取步数
    const val ECG_DATA = 0x02  //ECG 数据

    //左右手
    const val LEFT_HAND = 0x00   //左手
    const val RIGHT_HAND = 0x01   //右手

    // 亮度
    const val LIGHT_1 = 0x00   //低
    const val LIGHT_2 = 0x01  //中
    const val LIGHT_3 = 0x02   //高
    const val LIGHT_4 = 0x03   //自动
    const val LIGHT_5 = 0x04   //较低
    const val LIGHT_6 = 0x05   //较高

    // 抬腕亮屏开关
    const val SCREEN_OFF = 0x00   //关闭
    const val SCREEN_ON = 0x01   //打开

    //勿扰模式设置
    const val NOT_ON = 0x01 //开启
    const val NOT_OFF = 0x00  //关闭

    //实时测量
    //0x00:心率, 0x01:血压, 0x02:血氧, 0x03:呼吸率, 0x04: 体温
    // 开关 0x00:关闭, 0x01:单次测量,

    const val TEST_1 = 0x00
    const val TEST_2 = 0x01
    const val TEST_3 = 0x02
    const val TEST_4 = 0x03
    const val TEST_5 = 0x04

    const val TEST_ON = 0x00
    const val TEST_OFF = 0x01

    //删除历史数据
    const val STEP_HISTORY = 0x0540 //步数
    const val SLEEP_HISTORY = 0x0541 //睡眠
    const val XL_HISTORY = 0x0542//心率
    const val XYa_HISTORY = 0x0543//血压
    const val XY_HISTORY = 0x0545//血氧
    const val TEMP_HISTORY = 0x0547//体温
    const val DELETE_ALL=0x0544 //对应0x0509 查询所有(文档上面是血氧和温度0x0544，所以这个删除应该不是删除全部内容)
    const val DELETE_LocalALL = 0X0999//删除手表全部信息

    //数据采集 type 0x00: PPG 0x01: 加速度数据 0x02：ECG 0x03：温湿度 0x04：环境光 0x05：体温
    const val PPG_DATA=0x00 //ppg
    const val TEMP_DATA= 0x05//体温

}