package com.xty.network.model

import java.io.Serializable

data class SettingBean(
    val activity: String,
    val clock: Int,
    val grade: String,
    val user: User
) : Serializable {
    data class User(
        val actCity: Any,
        val actDistrict: Any,
        val actProvince: Any,
        val area: String,
        val avatarUrl: String,
        val birthday: String,
        val birthdayType: Int,
        val city: String,
        val complexion: Any,
        val createBy: String,
        val createTime: Any,
        var deviceId: String,
        val disease: Any,
        val district: String,
        val actTime: String?,
        val emergencyContact: Any,
        val esignature: String,
        val headPortrait: Any,
        val healthy: Any,
        val height: Float,
        val hips: Any,
        val id: String,
        val idCard: String = "",
        val latitude: String,
        val longitude: String,
        val medicalHistory: String,
        var name: String,
        val openId: String? = null,
        val password: String,
        val phone: String,
        val province: String,
        val remark: Any,
        val sPeriodic: String,
        val sex: Int = 1,
        val age: Int,
        val speriodic: Any,
        val updateBy: String,
        val updateTime: Any,
        val urgent: String,
        val urgent1: Any,
        val urgentPhone: String,
        val urgentPhone1: Any,
        val urgentRelation: String,
        val historyId: String,
        val urgentRelation1: Any,
        val userCode: Any,
        val userId: Long,
        var sign: Int,
        val waistline: Float,
        val weight: Float,
        var bluetooth: String,
        var watchName: String?,
        var other: String?,
        var historyName: String,
        var tumour: String?,
        var activationCode: String,
        var esignatureDate: String? = null,
        var diseaseList: MutableList<Operation>,
        var religion:String,
        var nation:String,
        var hobby:String,
        var deviceType:String

    ) : Serializable

    data class Operation(
        var name:String,
        var time:String,
        var type:Int
    ): Serializable

}
