package com.xty.network.model

data class FamilyHealthBean (
    var id:Long,
    var userId:Long,
    var name:String,
    var relation:String, //关系
    var avatarUrl:String,
    var isMy:Int, //是否本人0，否，1，是
    var power:String?, //电量
    var isRealTime:Int ,//是否实时，0，否，1，是
    var isBindWatch:Int,//0，未绑定，1，已绑定


    var dataList: ArrayList<FamilyTargetBean> ,//数据列表
    var avatarList:ArrayList<String>?
) {

    data class FamilyTargetBean(
        var name:String,//名称
        var type:Int, //类型1，心率，2，血氧，3.呼吸率，4.体温，5，血压，6.步数，7，血糖，8，尿酸
        var status:Int,//状态：0，异常，1，正常
        var value:String //值

    ){

    }
}